# /fulfillment-orders/:id(uuid)

#### `GET /fulfillment-orders/:id(uuid)`

#### Fetch a specific fulfillment order.

Body:

* `id` - The Purple Dot ID of the fulfillment order
* `status` -  The current status of the fulfillment order, which can be one of:
  * `UNFULFILLED` - the order has been placed and is waiting to be fulfilled
  * `FULFILLED` - all items have been fulfilled
  * `VOIDED` - the order was canceled
* `created_at` (ISO8610 timestamp) - When this fulfillment order was created (effectively, when Purple Dot was told the related line items are ready to be fulfilled)
* `purchased_at` (ISO8610 timestamp) - the `created_at` of the pre-order this fulfillment order originates from
* `reference` - The Purple Dot fulfillment order reference, defined as `concat(Purple Dot pre-order reference, fulfillment order index)`
* `currency` - The presentment currency of the order
* `customer` - The customer placing the order
  * `email` - The customer's email address
  * `external_id` - The Shopify ID of this customer, if we know it
  * `first_name`
  * `last_name`
  * `tags` - Shopify tags for the customer
  * `default_address`
    * `first_name`
    * `last_name`
    * `address1`
    * `address2`
    * `city`
    * `postal_code`
    * `province_code` - The ISO3166 code of the second level administrative subdivision
    * `country` - The English name of the country
    * `country_code` - The ISO3166 code of the country
    * `phone`
* `tax_included` - Whether the tax is included in listed prices or not
* `total_tax` - The total tax on the pre-order
* `total_discounts` - The total discounts applied to the fulfillment order
* `subtotal_price` - The total of the line items before taxes and shipping
* `total_price` - The fulfillment order total
* `line_items` - Array of line items in this fulfillment order
  * `id` - The Purple Dot ID of the line item
  * `price` - The unit cost of the product variant in this line item, before taxes/discounts etc
  * `total` - The total cost of this line item, after tax/discounts etc are considered
  * `taxable` - Whether the product variant in this line item is taxable
  * `tax_lines` - The taxes applied to the line item
    * `price`  - The total amount of tax for the line item
    * `rate`  - The tax rate as a decimal
    * `title`  - The name of the tax
    * `inclusive`  - Whether this tax is already included in the line item price
  * `total_discount` - The total amount of discounts applied to the line item
  * `quantity` - The quantity of the line item
  * `product_id` - The Shopify ID of the line item's product
  * `variant_id` - The Shopify ID of the line item's product variant
  * `sku` - The SKU code of the product variant in this line item
  * `name` - The name of the product variant in this line item
* `shipping_address`
  * `first_name`
  * `last_name`
  * `address1`
  * `address2`
  * `city`
  * `postal_code`
  * `province_code` - The ISO3166 code of the second level administrative subdivision
  * `country` - The English name of the country
  * `country_code` - The ISO3166 code of the country
  * `phone`
* `shipping_lines` - An array of shipping rates
  * `id` - The Purple Dot ID of the shipping line
  * `price` - The unit cost of this shipping line, before taxes/discounts etc
  * `total`- The total cost of this shipping line, after tax/discounts etc are considered
  * `title` - The user-facing name of the shipping rate
  * `code` - The shipping rate carrier code
  * `tax_lines` - The taxes applied to the shipping rate
    * `price`  - The total amount of tax for the shipping line
    * `rate`  - The tax rate as a decimal
    * `title`  - The name of the tax
    * `inclusive`  - Whether this tax is already included in the shipping line price
* `note` - optional notes from the Shopify order

Examples:

{% code overflow="wrap" %}

```
curl --request GET \
     --url 'https://www.purpledotprice.com/admin/api/v1/fulfillment_order/a1b2c3d4-e5f6-7890-1234-567890abcdef' \
     --header 'X-Purple-Dot-Access-Token: <access_token>'
```

{% endcode %}


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.getpurpledot.com/docs/purple-dot-apis/private-api/fulfillment-orders-id-uuid.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
